Subject: New version of XT (8 bit) HD driver
From: [email-masked] (Pat Mackinlay)
Date: Thu, 18 Mar 1993 15:09:14 GMT
Newsgroups: comp.os.linux.announce

This is post to announce the newest (and hopefully last) version of the
XT hard disk driver for Linux. This version will only work with Linux 0.99p7
or better due to a couple of kernel changes. The files should be available
on tsx-11, nic and sunsite FTP sites as soon as the administrators process
their incoming data. The files are:

	tsx-11.mit.edu:/pub/linux/BETA/xtdisk/xtdisk6.tar.z
	nic.funet.fi:/pub/OS/Linux/BETA/xtdisk/xtdisk6.tar.z
	sunsite.unc.edu:/pub/Linux/ALPHA/xtdisk/xtdisk6.tar.z

and there's the complete README in those directories too.

Note that this will probably be my last version of this driver because I'm
upgrading to a 200 meg SCSI drive and don't have any more room in my machine.
I'll be listening out for volunteers to take over the code <grin>, although
the only changes needed now will be to keep up with rest of the kernel.

What follows is an extract from the README:

INTRODUCTION
------------
This is version BETA-6 of the XT hard drive driver for Linux. The patch is
for Linux 0.99p7, and will not work for earlier kernels.

First, a quick introduction to the reason for this driver. There are, in 
general, three different types of hard disk controller:

	a. Generic AT style controllers (includes IDE drives) - all 16 bit
	b. SCSI style controllers - all incompatible <grin>
	c. XT style controllers - all 8 bit

Each of these three different types of controllers has to be programmed in
it's own way, and they use different DMA channels/IRQ lines etc. in order to
communicate with the computer. Generic AT and SCSI controllers are already
supported in the "stock" Linux kernel, but XT controller are not. This driver
will allow you to use one of these older controllers in your machine running
Linux.

RATIONALE
---------
You may wonder what the point is, seeing that the XT controllers are far slower
than any AT controller you might buy. One advantage these old controllers buy
you is the fact that they can be used in a system that already has 2 drives
attached to an AT style controller, effectively letting you use up to 4 drives
in your machine. Another reason for using these old controllers is that many
people still have old MFM or RLL drives that they can't use with their fancy
IDE systems. If you can pick up an obselete controller cheaply, then you can
gain some storage space for virtually nothing. As I mentioned, XT controllers
are quite slow, giving a data throughput of only around 80-90kBps even with fast
drives. This makes using them for swap space a bad idea, but other use under
Linux is quite feasible and possible, due to Linux's good disk buffer cache.

NB: Wim van Dorst got a _significant_ speed improvement out of his drive by
reformatting it with an interleave of 3. If you're getting transfer rates in
the 20-30kBps range, please give this a shot: it's probably _not_ the driver's
(or the controller's) fault.

Pat -- Have a day! (Ask me "What's red and sticky?" <grin>)

-- 
Send submissions for comp.os.linux.announce to: [email-masked]